Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81909 - can't build current Raw Hide glibc for i686 with NPTL disabled
Summary: can't build current Raw Hide glibc for i686 with NPTL disabled
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-15 02:49 UTC by Jonathan Kamens
Modified: 2016-11-24 15:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-16 16:25:23 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2003-01-15 02:49:43 UTC
If you download glibc-2.3.1-34.src.rpm, install it, change nptlarches to
"noarch", and try to do "rpmbuild --target i686 glibc.spec", at some point in
the process you get an error about the directory /lib/i686 being absent.  I got
rid of it by deleting these two lines from the spec file:

%else
%dir /lib/i686

Comment 1 Jakub Jelinek 2003-01-16 16:25:23 UTC
Should be fixed in glibc-2.3.1-37.


Note You need to log in before you can comment on or make changes to this bug.